Subject: Re: Address for Tsinghua University, Beijing

From: Qiang Alex Zhao <[email-masked]>
Date: Tue, 20 Oct 1992 18:49:40 MST

Networking to China
		===================

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1) UseNET Newsgroup: fcs.info-nets
-------------------------------------------------------------------------
Date: 9 Apr 92 09:00:32 GMT
From: [email-masked] (Kuang Jiaxing)

There are two E-mail network effective in China, CRN and CANET.

CANET	Chinese Academic Network (CN-DOM)
    Try asking [email-masked] for details.

CRN	China Research Network
   CRN is a X.400 based network, as far I know, there are a few
   universities and institutes connected to CRN, they are NCI
   (NorthChina Computing Institute), Fudan University, Shanghai
   Jiaotong University, SCI (30th Institute), SCL (54th Institute), ECI
   (32th institute), more universities and institutes are connecting to
   CRN, for details contact [email-masked] or
   [email-masked]

Good luck
Kuang

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2) WHOIS Database at NIC of DDN
-------------------------------------------------------------------------
CANET Chinese Academic Network (CN-DOM)
   c/o ICA
   P.O. Box 2418-26
   Che-Dao-Gou Street
   Beijing
   PEOPLE'S REPUBLIC OF CHINA

   Domain Name: CN

   Administrative Contact:
      Qian, Tian Bai  (TBQ)  [email-masked]
      +86 841-3654
   Technical Contact, Zone Contact:
      Rotert, Michael  (MR78)  [email-masked]
      +49 721 608 4221

   Record last updated on 05-Mar-91.

   Domain servers in listed order:

   IRAUN1.IRA.UKA.DE		129.13.10.90
   NS.EU.NET			192.16.202.11
   NS.UU.NET			137.39.1.3

   Top Level domain for the People's Republic of China

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
3) From: "Herman J. Woltring" <[email-masked]>
-------------------------------------------------------------------------

As an editor of campus magazine with a special report on network
connection to mainland China, I tried very hard to find out any
possibly way for sending e-mails to there.  I got help from kind
netters, from whois database, knowing that CANET(Chinese Academic
Network) users actually have e-mail access with Internetter.  So I
contacted Mr. Qian, the administative contact of CANET via e-mail and
personal letter.  Finally, I got response after Mr. Qian got my
personal letter.  (Now, people in Taiwan can mail letters to mainland
China indirectly, via Hong Kong.)

Mr. Qian gave me some introduction of CANET, and eventually mentioned
the main problem is lack of funds, so people on CANET have to pay fees
for both receiving and sending e-mail abroad.  In this case, after you
reading this message, PLEASE DON'T TRY TO SEND E-MAILS TO MR. QIAN
ASKING ABOUT FURTHER DETAIL, SINCE I CAN NOT MAKE SURE MR. QIAN ALSO
HAVE TO PAY FEE FOR HIS E-MAIL OR NOT.  I am afraid the mail flood will
cause another big problem to him.  Thank you.

=== Original message from Mr. Qian

From:   cn%"[email-masked]" 20-AUG-1991 19:18:57.92 To:
[email-masked] CC:  Subj:   reply

Received: From DEARN(MAILER) by TWNCTU02 with Jnet id 6317
	  for 7911013@TWNCTU02; Tue, 20 Aug 91 19:18 U
Received: from DEARN by DEARN (Mailer R2.08) with BSMTP id 1915; Tue,
20 Aug 91
 09:37:08 CET Received: from ira.uka.de by vm.gmd.de (IBM VM SMTP
R1.2.2MX) with TCP; Tue, 20
 Aug 91 09:36:51 CET Received: from ica.beijing.canet.cn by
iraun1.ira.uka.de id aa10842;
	  20 Aug 91 9:32 MET DST
Date: Tue, 20 Aug 91 15:06 CHINA TIME +100 From:
[email-masked] Subject: reply To: [email-masked]
Message-id: <[email-masked]> X-Organization:
ICA BEIJING CHINA X-Envelope-to: [email-masked] X-VMS-To:
IN%"[email-masked]",QIAN

Mr.Huang, Thank you for your letter of Aug.5. Some time ago I received
an email from you, and I'm sorry I have been unable to answer it
sooner. Thank you for your paying great attention to the CANET
project.  Herewith I'm encluding the brief introduction to CANET.
. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .

      CANET , co-initiated by ICA ( Beijing  Instutute  for  Computer
  Applications ) and the University of Karlsruhe ( Germany ) began in
  1986. Its purpose is to integrate chinese academic communities with
  the worldwide computer network, and to promote information exchange
  and technical cooperation with the rest of the world.  The  initial
  service provided by CANET is international E-mail delivery.
      The first connection with CSNET was actually set up in Sep.1987.
  The central machine  located in ICA , Siemens 7,760/ BS2000 running
  PMDF/BS2000 software, was successfully  connected  with the  E-mail
  systems all over the world by means of a relay machine at the  Uni-
  versity of Karlsruhe.
      Since then ,  CANET  has  been operational and has provided the
  worldwide E-mail service for some academic communities within China.
      In 1990 Oct. ,  the  top  level  domain ---" CN " for China was
  registered with DDN SRI--NIC by ICA . This is a very important step
  for the development of CANET.
      CANET is a store and forward electronic mail network .
      Recently,the central machine in CANET is a Micro VAXII--cluster
  system under VMS 4.7 running PMDF 3.1/VMS,which acts as an interna-
  tional gateway linking the main domain server located at Uni. Karl-
  sruhe by x.25 through the CHINAPAC (Chinese Packed Switching
  Network).
      For remote sites, CANET is accessible for any academic communi-
  ty of China through the CHINAPAC ( national x.25 PDN )  or the dial
  up telephone links, at 1200 bps and 2400 bps or 4800 bps (depending
  on the cost factor ). End--user's PC  or workstations can access to
  local node machine by terminal emulation . CANET  adopts  RFC--822
  formats.
     CHINAPAC ,  the first national PDN in China , was operational in
  the end of 1989 , it is authorized  by the goverment and run by the
  Ministry  of Posts and Telecommications of China.   This network is
  based on x.25. At persent, it is still on the first stage and has 3
  node-machines ( Package Switching Node ) and 8 package multiplexers
  which are located at 11 major cities in China. It has international
  link through the satellites.
     All amchines of   CANET implement  Internet  DNS ( domain naming
  system ) syntax.
     The top level domain ---  " CN " for China has been  operational
  since Jan.1991 . Currently, the international mail delivery usually
  takes half a day . At present , 16 sites have been connected within
  CANET.  It is true , many institutions and universities have estab-
  lished their private local network in the compus,  most of them are
  interested in joning CANET.But, there are the financial boundaries-
  ---lack of the funds.   If the funding is available,  CANET will be
  growing rapidly.
. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .

Frankly speaking,the CANET has not been a part of the Internet yet,
because it does't implement the TCP/IP protocol suite to link with the
Internet via the leased line directly.that is why CANET is unable to do
FTP and R-Login recently.Also,this is the reason that CANET's user has
to pay the international communication fees not only for sending mail
but also for receiving mail.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
4) From [email-masked] Thu Apr  9 18:23:22 1992
-------------------------------------------------------------------------

This will get you started.  Yes, it is EXTREMELY costly and for that
reason I will NOT tell people E-mail addresses in China.  The archives
of this list should contain some of the traffic this posting caused.

......................................................................
China network observations from October, 1991, visit        1/12/92

The Institute of Computer Applications (ICA) at 10 Che Dao Gou,
Haidian District, Beijing, was created to provide data processing
and computer services to small and medium organizations that could
not afford their own computer installations.  The ICA office is
extremely difficult to find; it is "hidden" at the rear of a complex
whose main mission appears to be quasi-military, and whose neighbors
"don't know anything about it."  ICA is under the Ministry of
Machinery and Electronics Industry.

Contact was established by E-Mail to [email-masked]
Qian Tian Bai, Vice-Chief Engineer, P.O.Box 2418-26, Beijing, China
100081, phone 841-3654, is the contact person.

Chinanet is very small, and VERY EXPENSIVE.  Costs are 8000 Yuan
to join, 2000 Yuan per month maintenance, and 10 Yuan per KILObyte
of information sent OR RECEIVED.  For comparison, the average
Professor's salary in PRC is 150 Yuan per month.  This explains
why some Internet information Qian Tian Bai wanted is being sent
by regular mail rather than E-Mail.  Those of us who view Internet
as a big, free resource need to realize that casual communications
elsewhere, and especially to China, may NOT be welcome by the
recipient because of the cost.

FAX is much more prevalent than E-mail throughout Asia, partly because
the character set in Japan, China, Hong Kong, Korea, Taiwan, Singapore,
etc. is not amenable to western style keyboarding, nor is the use of
English (Roman characters) that widespread.  As a side note, a major
data base research problem in Beijing is how to produce a telephone
directory!  To get a home telephone number, even if I knew the full
name and address and could pronounce it correctly in Chinese, I had
to go through the place where the person worked;  most work places
have an agreed upon Pinyin or English name that CAN be sorted on,
listed, and retrieved electronically.

Chinanet nodes exist in Beijing, Harbin, Shanghai, and Hangzhou, with
dial-up connections other places.  Most users are businesses or
Chinese Academy of Sciences;  practically none are Universities.
University computing centers (Computer Science Departments) seem to
be in some sort of communication with each other using something
called CNPAC, which is entirely graphic due to the nature of the
natural character set of China.  This might explain why gateway(s)
to Chinanet or Internet don't seem to exist.

Chinanet's connections to the outside world are via a 2400 bps link
(sattelite) to University of Karlsruhe, using PMDF protocol.  Call-ins
are done twice a day for exchange of international mail.  ICA hardware
includes VAX 8700, Siemens 7760, and MVAXII cluster.

The University of International Business and Economics in Beijing has
a massive computer-based communication facility, installed for the
Asian Games last year, and maintained (but not used) in support of
Beijing's bid for the Olympics.  Connections go throughout China, Asia,
and much of the rest of the world.  My guess is that this machine could
host an extensive and inexpensive E-mail network with practically no
additional capital investment!  I said this to everyone who would
listen in other agencies I visited;  perhaps that may have some effect.
Unfortunately, I visited ICA before I visited UIBE and could not get
ICA's reaction to the idea.

Without knowing it when travel plans were made, a major conference
on telecommunications was to be held in Beijing about Nov. 1.  ICA
suggested they could get me in if I were in Beijing at the time, but
I had already accepted a "Soviet" Academy of Science invitation for
November.  I have not been able to find out what transpired at that
conference, although I have been promised a copy of the proceedings.
Perhaps someone who was there could enlighten me (and any others on
the network) about serious interest in moving China forward with
global networking.

As an interesting aside, one of the major U.S. planners of the Nov.
conference also created a large share of international use of
Chinanet in the previous month, and was pointed out to me as someone
insensitive to what their costs were.  My personal reaction was that
action was needed to drive down costs (or get them subsidized) because
what I saw represented to me exactly the kinds of interchanges the
networks were designed to facilitate.

Addtitions, corrections, interpretations, and comments welcome.

     G. Ernest Anderson               [email-masked]
     University of Massachusetts

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
5) List CHINANET: Networking in China
-------------------------------------------------------------------------
From: [email-masked] (Kuang Jiaxing)

Some sites in China have registered IP network number, unfortunately,
due to finance, they have not connected to InterNet directly.

The two major E-Mail network in China are CANET and CRN.

  CANET was setup about 1987 and registered in 1990, it is a subscriber
  e-mail network about 10 Yuan per kilobyte plus phone fee, user loging
  via PSDN or other, it seems there are no subdomain users, as far I
  know there are lots of Universities and Institutes have account on
  CANET.  It cost a huge amount of money to CANET users :-) 10 Yuan per
  kilobyte whatever incoming or outgoing email.

  CRN is a OSI multi-protocol experiment network, e-mail system of CRN
  is based X.400(84 version), it has some universities and institues
  connected via China CNPAC(X.25), each site pay its X.25 fee (quite
  expensive) for outgoing mail, it is mere experiment network, due to
  political and financial reason, it seems impossible to become a real
  research network, ...  For CRN sites, they pay their X.25 fee, usual
  they pay their outgoing emails, Darmstadt.gmd.de acts as InterNet
  <--> X.400 gateway for CRN, it pays most emails to China, and its
  administrator protest high charge, the policy may be changed in
  future.  X.25 is a quite expensive service, it charge you per segment
  you send/receive and per minute you use, Usual each site pays about
  2000 yuan per month if no high volume data transfer.

Some Universities are planning to build Campus network, Tsinghua
University, ZheJian University, Fudan University, ..., I am sorry I
don't know details except Fudan.

I heard that China PTT is planing to build China E-Mail network, and
Shanghai PTT is just beginning to provide such service, it sounds to be
the official e-mail network in future, but I don't know more about it.

For details about CANET, contact [email-masked], who is
Administrative Contact of CANET.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
6) First Hand Material: From <[email-masked]>
-------------------------------------------------------------------------
>From [email-masked] Sun Apr 12 17:19:05 1992
Date: 13 Apr 92  8:11 +0800
From: Xiaofan ZHAO <[email-masked]>
To: Qiang Alex ZHAO <[email-masked]>
Subject: Reply: Hello from Arizona (USA)
Return-Receipt-To: Xiaofan ZHAO <[email-masked]>
Status: OR

Dear Alex,

Following is some information about CRN for your reference.

Regards,
Xiaofan Zhao, NCI, Beijing, China

==========================

The Chinese Research Network (CRN), founded in 1987, aims at

	* Providing electronic communication means, based on
	  the PSDN and any available communication networks,
	  to the Chineses scientsts, engineers, professors and
	  other reaserchers to facilitate them in exchanging information
	  and coordinating cooperation with their partners in China
	  and abroad.

	* Supporting and coordinating the development and promotion
	  of OSI conformable applications ammong Chinese scientific
	  and research community.

	* Organizing the cooperation among CRN members and their
	  foreign partners.

Eight members of CRN have been interconnected at present, including research
institutes, universities and academic organizations in Beijing, Shanghai,
Chengdu and Shijiazhuang. More institutions will join CRN in the future.

MHS (email), VT (PAD), FTAM, X.11 have been installed at the member
institutions on VAX/VMS, VAX/ULTRIX, SUN/UNIX and APOLLO/UNIX.
CRN has established more than ten direct MHS connections with the member
countries of European Research Networks (RARE), including Germany, Norway
and Switchland, and could exchange e-mails with almost all the research
networks, eg Internet, in the world via RARE gateways.

Chinese MHS (CMHS), dased on DFN-EAN and enhanced by CRN, with
Chenese character and encryption capability has been also installed
at some CRN's member institutions on VAX/VMS and SUN/UNIX systems.

The CRN Board consists of the representatives from her member
organizations, which is responsible for
	* Developing CRN's plans and rules
	* Helping academic and research institutions to join CRN
	* Maintaining the services provided by CRN
	* Helping CRN's members to solve technical problems
	* Organizig and coordinating the development projects
	* Contacting and coopreating, on behalf of CRN, with the peers
	  in China and abroad

Help desk addresses are:
  Beijing:
    CRN's Help Desk                          <[email-masked]>
    North China Institute of Computer Tech.  <[email-masked]>
    China Academy of Electr. & Info. Tech.   <[email-masked]>
    Computer System Engineering Institute    <[email-masked]>
  Shanghai:
    Fudan University                         <[email-masked]>
    Shanghai JiaoTong University             <[email-masked]>
  Shijiazhuang:
    Shijiazhuang Communication Lab           <[email-masked]>
  Chengdu:
    Southwest Communication Institute        <[email-masked]>

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
7) CHINANET: Bin Wang <[email-masked]>
-------------------------------------------------------------------------

From:
 David K. Kahaner
 US Office of Naval Research Asia
 (From outside US):  23-17, 7-chome, Roppongi, Minato-ku, Tokyo 106 Japan
 (From within  US):  Unit 45002, APO AP 96337-0007
  Tel: +81 3 3401-8924, Fax: +81 3 3403-9670
  Email: [email-masked]

[Dr. David Kahaner is a numerical analyst on sabbatical to the
 Office of Naval Research-Asia (ONR Asia) in Tokyo from NIST.  The
 following is the professional opinion of David Kahaner and in no
 way has the blessing of the US Government or any agency of it.  All
 information is dated and of limited life time.  This disclaimer should
 be noted on ANY attribution.]

[Copies of previous reports written by Kahaner can be obtained using
 anonymous FTP from host cs.arizona.edu, directory japan/kahaner.reports.]

ABSTRACT. A description of networking activities in PRC (China).
(F.F.Kuo, SRI)

My report on the Internetworking conference [inet.92, 26 June 1992] was
read by

        Dr. Franklin F. Kuo
        Executive Director, Asian Programs
        SRI International
        333 Ravenswood Avenue
        Menlo Park, CA 94025
         Tel: (415) 859-4116; Fax: (415) 859-6171
         Email: [email-masked]

Dr Kuo was particularly interested in the sections on China, as he has
recently completed a visit to look at the networking situation there,
and has prepared the report below detailing his trip. It provides
material supplemental to that in my report and should be of value to
those interested in the developments of international networking.

*********************************************************************

NETWORKING IN THE PEOPLE'S REPUBLIC OF CHINA (PRC)

by Franklin F. Kuo, SRI International

At the invitation of the China Institute of Communications, the Citizen
Ambassador Program of People to People International arranged a visit
for a delegation of professionals in telecommunications and networking
technology to the People's Republic of China. I was the leader of the
delegation, whose purpose was to exchange information and solidify
contacts with Chinese professionals within the computer and
communications industry.  The exchange focussed on topics dealing with
China's telecommunications infrastructure, especially on subjects
relating to current research and applications in computer networks. This
group, known as the Networking Technology Delegation, consisted of 24
members, with 18 professionals, and 6 accompanying spouses. Of the 24
there were 17 people from the US, 5 from Japan (2 US citizens residing
in Tokyo) one from Germany, and one from Hong Kong, so it was truly an
international group. Six members of the delegation were native Chinese
speakers, which made it very convenient in our travels.

The itinerary for our trip was as follows:

May 11-15, 1992 Beijing

May 15-19, Xi'an

May 19-22, Shanghai

May 22-24, Hong Kong

Our professional visits concentrated on telecommunications and on
computer networking. We visited a number of the major research
institutes and universities in Beijing, Xi'an and Shanghai. In all three
cities there was a lot of interest in computer networking, especially in
the Internet, and how to connect to it. Another question that frequently
came up was the future of OSI vs that of TCP/IP. There are a lot of
local area networks in operation in China, connecting many PC-clones,
mostly Chinese produced, to some older-generation mainframes such as
Honeywells. What we did not see were operational wide-area networks,
with the exception of a metropolitan demonstration network in Beijing.

Current Wide Area Networks

At present, the major wide area network (WAN) in China is the China
National Public Data Network, CNPAC, which is currently being developed
and implemented. CNPAC, an X-25 packet switched network is designed to
carry data at speeds varying between 1.2 and 9.6 Kbps. The hub is in
Beijing, where the network management center is located, with packet
switches sited in the major cities of Shanghai and Guangzhou, and PS
concentrators found in other major cities. The packet switches,
concentrators, and PADs (packet assembly/disassembly devices) are all
manufactured in China. At the Beijing hub, there is an international
access line to CNPAC. Since we did not see a CNPAC demonstration, it is
not clear how much of it is operational and how much is still under
development.

There are other private data networks in use in China in applications in
the railway system, banking system, civil aeronautics, etc.

In China, there is an X.25 link to the Internet using a store and
forward system via the CNPAC international access line in Beijing
connecting to the University of Karlsruhe, Germany.  To the outside
world, this link is being called "the China Academic Network (CANET)".
In addition to CNPAC connectivity, there is dial-up access to CANET from
inside China. David Kahaner of ONR Tokyo reports that he frequently
communicates with Chinese scientists via CANET. However, many of the
Chinese networking specialists we talked to have never heard of the name
"CANET", so we suspect that CANET means more to the outside world than
in China.

The major problem confronting the development of WANs in China is the
poor telecommunications infrastructure. Since the penetration of basic
plain old telephone service (POTS) is less than 1% among Chinese
businesses and households, and since local and long distance telephone
switching and transmission facilities are inadequate and antiquated, it
is difficult to build a modern computer network upon the current
telecommunications infrastructure.  It will take decades to bring the
basic telecommuncations system up to modern standards, so Chinese
networking will take a long time to come up to western norms also.

Metropolitan and Campus Networks

In Beijing, we witnessed a very impressive metropolitan networking
project called NCFC (National Computing and Networking Facility of
China). NCFC is a demonstration network in Beijing linking the two major
universities, Tsinghua and Beijing Universities to a number of research
institutes of the Chinese Academy of Sciences (CAS). Each of the
pariticipating institutions have campus networks like the TUnet of
Tsinghua University.  These campus networks are connected by NCFC as a
two level system. Currently NCFC has a 10Mbps backbone connecting the
three campus networks, which will increase to 100Mbps in the next phase
of the project. Communication protocols will be ISO/OSI, but TCP/IP is
the first phase protocol. The top level of NCFC consists of the backbone
and the network control center.  The second level is composed of campus
networks at the two universities and CAS. NCFC is the largest and most
ambitious networking project we saw in China. It is partially funded by
the World Bank and the State Planning Commission, and is in limited
operation now, with full operation expected by 1994. We visited two of
the three groups who are participating in the development of NCFC. The
first was the Computer Network Center (CNC) of the Chinese Academy of
Sciences, with its own campus network, the CASnet.  The CNC seems to
have the major responsibility for the development of NCFC, and is
staffed by 40 professionals. The second group, in Tsinghua University,
is described next.

The Tsinghua University Network (TUnet)

The most impressive university networking group we visited was at
Tsinghua University, the premier technical university in China. Under
the direction of Professor Hu Daoyuan, the Tsinghua University network,
TUnet is being developed under a well laid-out strategy based upon the
following goals:

1. It will be a universal, comprehensive campus network; its usage will
include instruction, research, administration, library, and
communications services.

2. It will be a multimedia integrated services network; messages
transmitted in the network will include not only data, but voice and
video as well.

3. It will operate under accepted international standards for
interfacing devices to the network. Emerging standards are important in
the fast changing technology of networking. Initially TUnet will operate
under TCP/IP, but migration strategies have been adopted to migrate to
ISO/OSI.

4. It will be a heterogeneous network using a variety of advanced
networking technologies (LAN, PABX, PS, ISDN and FDDI, etc) to
interconnect multivendor computing facilities.

5. It will be developed in phases, with the first phase (1987 to 1991)
concentrating on interconnection of facilties, and the second phase
(1992 to 1995) emphasizing network services.

In TUnet there are three major networking facilities:

a. A circuit switched network based upon an integrated services PABX,

b. A packet switching network based upon X.25 switches and PADs,

c. Ethernet LANs interconnected through a 100 Mbps FDDI optical fiber
backbone.

A key function of TUnet is electronic mail. Tsinghua University's
message handling system (MHS) functions includes mail, telegraph,
teletext, fax, videotex, voice, images, etc. The MHS is based upon the
EAN system developed by the University of British Columbia conforming to
the CCITT X.400 recommendation series of 1984. Tsinghua's work on its
e-mail system includes migration, Chinese localization, menu adaptation
and the implementation of remote user agents.

The work at Tsinghua on TUnet and NCFC underlines one of the basic
constraints that Chinese networking technologists must live with. Unless
you have foreign (hard) currencies to purchase networking equipment,
you've got to design and build everything from scratch, including
hardware and software. So TUnet represents in many ways a bootstrap
operation. The people in TUnet are all very well trained and dedicated.
It is unfortunate that they could not make use of technology that is
readily available in the Western world.

Local Area Networks (LANs)

In China today there are many LANs in use. Two common LAN products
widely available throughout China are Ethernets from 3COM, and Netware,
a LAN operating system developed by the Novell company. These products
are available in China because of joint venture arrangements that the
cited companies have made with Chinese counterparts. Most of the LAN
products are manufactured in China under license from US companies such
as 3COM and Novell.  At the Shanghai Jiao Tong University, Professor
Yang Chuan-hou, the Director of the Computer Network Research Laboratory
presented to us some work which dealt with an architectural design of a
gateway interconncting LANs to an X.25 packet switched network.  The
work again was developmental in nature, in that both hardware and
software designs were implemented in the laboratory.

Work like that of Professor Yang and his colleagues illustrate the
practical nature of the networking development going on in China today.
I visited China in 1984, when I was a World Bank consultant to Shanghai
Jiao Tong University.  In the intervening years, there has been an
explosive growth in both computing and networking technology in China,
which will only accelerate with the further penetration of the Internet
into China. Since the Internet is capable of bringing network
specialists and users throughout the world into a larger cooperating
community, I believe that China's networking community will soon become
full partners in this world-wide community.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
= Qiang Alex Zhao		| [email-masked]
				| Dept of Computer Science
				| Univ of Arizona, Tucson